Subject: Re: GSoC 2016 Microproject

From: Matthieu Moy <[email-masked]>
Date: Mon, 29 Feb 2016 16:04:37 +0100

Sidhant Sharma <[email-masked]> writes:

> Hi,
>> I didn't see anything going on for this one, but you may want to
>> double-check with the ml's archives.
>>
> I checked the archives and there doesn't seem to be any active work on this.
> I made the required changes and ran the test suite. Though all the
> tests pass, there still are two queries I have.
> First, I'm not quite sure what to put in the help message for the
> options (--quiet, --stateless-rpc, --advertise-refs and
> --reject-thin-pack-for-testing).

They are currently undocumented. We sometimes have explicitly
undocumented options (PARSE_OPT_HIDDEN) when they are used only
internally to avoid polluting the end-user's UI.

In this case, the command is anyway not meant for end-users so I think
it would make sense to document them, but not necessarily within the the
microproject.

> Second, regarding the reject-thin-pack-for-testing option, currently
> when the option is entered, `fix_thin` is unset
> (https://github.com/git/git/blob/master/builtin/receive-pack.c#L1736).
> But using `OPT_BOOL(...)` for the same, the variable would instead be
> set when the option is given. I think one solution can be to invert
> `fix_thin` after calling `parse_options`. Am I going right so far?
> Suggestions and corrections welcome.

Or use OPT_SET_INT(..., 0) on a variable initialized to 1.

> Should I make a patch for this and submit it for discussion on the mailing list?

On this list, it is indeed often more efficient to say "here's what I'm
done. Any comments?" than "here's what I'm about to do".

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/